# QCGPU

[![Travis
(.org)](https://img.shields.io/travis/QCGPU/qcgpu.svg?style=for-the-badge)](https://travis-ci.org/QCGPU/qcgpu)
[![PyPi
Version](https://img.shields.io/pypi/v/qcgpu.svg?style=for-the-badge)](https://pypi.python.org/pypi/qcgpu)
[![License](https://img.shields.io/pypi/l/qcgpu.svg?style=for-the-badge)](https://pypi.python.org/pypi/qcgpu/)
[![GitHub
stars](https://img.shields.io/github/stars/qcgpu/qcgpu.svg?style=for-the-badge&label=Stars)](https://github.com/QCGPU/qcgpu)

Open Source, High Performance & Hardware Accelerated, Quantum Computer
Simulator. Read the [research paper](https://arxiv.org/abs/1805.00988).

**Features:**

  - Written with OpenCL. Accelerated your simulations with GPUs and other
    accelerators, while still running cross device and cross platform.
  - Simulation of arbitrary quantum circuits
  - Includes example algorithm implementations
  - Support for arbitrary gate creation/application, with many built in.

## Installing

This library is distributed on
[PyPI](https://pypi.python.org/pypi/qcgpu) and can be installed using
pip:

```bash
$ pip install qcgpu
```

For more information read the full [installing docs](https://qcgpu.github.io/qcgpu/install.html).
